// Sunrise Alarm Clock Project
//
// This is the header for the AdcDriver code
//
// required stm library code:
// 	stm3210x_adc.c
//  stm3210x_rcc.c
//
// Also the APB2 peripheral clocks must be enabled for: 
//  GPIOC 
//  ADC1EN 
//  ADC2EN
//
// Allen Kennedy
// 4/15/2011


#ifndef ADCDRIVER_HEADER_GUARD
#define ADCDRIVER_HEADER_GUARD

void initLightSensor(void);
unsigned short getLightSensorReading(void);
void deinitLightSensor(void);

void initTempSensor(void);
unsigned short getTemperature(void);
void deinitTempSensor(void);

#endif

