 #include <rtl.h>
#include <rt_misc.h>
#include "STM32_Reg.h"
#include "LED_Module.h"
#include "RTC.h"
 #include "stm32f10x_lib.h"

extern struct Time rtd;
extern struct displaydata leddata1;
extern struct displaydata leddata2;
extern OS_MUT mut_time;
extern char demo_flag ;
unsigned  int hr_style = 24;
char data[31][8] = {
15,15,15,8,10,10,10,8,
15,15,15,13,13,13,13,13,
15,15,15,8,11,8,14,8,
15,15,15,8,11,8,11,8, 
15,15,15,11,9,8,11,11,
15,15,15,8,14,8,11,8,
15,15,15,8,14,8,10,8,
15,15,15,8,11,11,11,11, 
15,15,15,8,10,8,10,8,
15,15,15,8,10,8,11,11,

15,0,0,7,5,5,5,7,
15,0,0,2,2,2,2,2,
15,0,0,7,4,7,1,7,
15,0,0,7,4,7,4,7, 
15,0,0,4,6,7,4,4,
15,0,0,7,1,7,4,7,
15,0,0,7,1,7,5,7,
15,0,0,7,4,4,4,4, 
15,0,0,7,5,7,5,7,
15,0,0,7,5,7,4,4,

15,15,15,10,10,8,10,10,  //H
15,15,15,8,10,8,12,10,	  //R
15,15,15,15,15,15,15,15,  //None
15,15,15,8,14,8,11,8,  //S

						};
static char char1,char2,char3,char4;
char data_0[8] = {15,15,15,8,10,10,10,8 }  ;
/*			{1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
          	 1,1,1,1,
             1,1,1,1}; */

/*			{1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,0,0,0,
             1,1,1,0,
             1,0,0,0,
          	 1,0,1,1,
             1,0,0,0}; */

/*			{1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             0,0,0,1,
             0,1,1,1,
             0,0,0,1,
          	 0,1,1,1,
             0,0,0,1}; */


char data_1[8] = {15,15,15,15,13,13,13,13 }  ;
/*			 {1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,0,1,
             1,1,0,1,
             1,1,0,1,
             1,1,0,1,
             1,1,0,1}; */

char data_2[8] = {15,15,15,8,14,8,11,8 }  ;
/*			 {1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,1,1,1}; */

char data_3[8] = {15,15,15,8,14,8,14,8 }  ;
/*			 {1,1,1,1,
             1,1,1,1,
             1,1,1,1,
             1,0,0,0,
             1,1,1,0,
             1,0,0,0,
             1,1,1,0,
             1,0,0,0}; */
char data_4[8] =  {15,15,15,14,12,8,14,14} ;
/*
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,1,1,0,
1,1,0,0,
1,0,0,0,
1,1,1,0,
1,1,1,0
}4	*/

char data_5[8] =  {15,15,15,8,11,8,14,8}  ;

/*{
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,0,0,0,
1,0,1,1,
1,0,0,0,
1,1,1,0,
1,0,0,0
}5 */

char data_6[8] =  {15,15,15,8,11,8,10,8} ;
/*{
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,0,0,0,
1,0,1,1,
1,0,0,0,
1,0,1,0,
1,0,0,0
}6 */

char data_7[8] =  {15,15,15,8,14,14,14,14}	 ;
/*{
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,0,0,0,
1,1,1,0,
1,1,1,0,
1,1,1,0,
1,1,1,0
}7 */


char data_8[8] =  {15,15,15,8,10,8,10,8}	;
/*{
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,0,0,0,
1,0,1,0,
1,0,0,0,
1,0,1,0,
1,0,0,0
}8 */


char data_9[8] =  {15,15,15,8,10,8,14,14};
/*{
1,1,1,1,
1,1,1,1,
1,1,1,1,
1,0,0,0,
1,0,1,0,
1,0,0,0,
1,1,1,0,
1,1,1,0
}9 */

/*------------------------------------------------------------------------------
  Display main function
  This function checks the menu flag, if false, it refresh the current rtc. if true, it will refresh the menu option
 *------------------------------------------------------------------------------*/

void Display_main()
{
 int hr;
 int min;
  hr = rtd.hr;
  min = rtd.min;
 if( (hr >12)&&(hr_style ==12)) hr-=12;


	if(!leddata1.readflag)
		{
		 if((!rtd.menuflag)||(demo_flag)) Data_display(&leddata1,(hr%10),(hr/10),(min%10),(min/10));
		 else 	Data_display(&leddata1,(char4),(char3),(char2),(char1) )	 ;
		}
	else if(!leddata2.readflag)
		{
		if((!rtd.menuflag)||(demo_flag)) Data_display(&leddata2 ,(hr%10),(hr/10),(min%10),(min/10));
		else Data_display(&leddata2,(char4),(char3),(char2),(char1) )	  ;
		}

}	

 /*------------------------------------------------------------------------------
  Display time function
  This function turn on the writeflag for display buffer, and call the decode function. 
 *------------------------------------------------------------------------------*/

void Data_display(struct displaydata *p, int dot1, int dot2,int dot3,int dot4)
{

	p->writeflag = 1;
	Decode	(p,data[dot3], data[dot4], data[dot1], data[dot2]);
	p->writeflag = 0;
}
/*------------------------------------------------------------------------------
  Decode function
  This function reads four char array, and decode into display data and update the display buffer . 
 *------------------------------------------------------------------------------*/

 void Decode(struct displaydata *p,char c1[],char c2[],char c3[], char c4[])
 {
  unsigned int i;
  static int secstate;
  static int secdot = 1;	 
 for(i = 0; i<8; i++)
   {
 	p->data[i] = (c1[i] <<12) + (c2[i] <<8) + (c3[i]<<4)	+ (c4[i]) ;
	}
   if(secstate !=rtd.sec)
   {
   secstate = rtd.sec; 
   secdot =(!secdot);
   }
	if((!rtd.menuflag)||(demo_flag))
	{   
   if(secdot){ p->data[4] &=0xff7f;	 p->data[6] &=0xff7f;	 }
	}

 }
/*------------------------------------------------------------------------------
  menu function
  This is the main menu function, push NEXT to the next menu item, push PLUS/MINUS to change the value, push QUIT back to clock, 
state  0x10 display temperature
	   0x20  rtc clock hour
	   0x30  rtc clock min
	   0x40  alarm clock hour
	   0x50  alarm clock min
	   0x60  sunrise mins setting


 *------------------------------------------------------------------------------*/

void Menu_log (int newinput)
{
static int menu = 0;

//static int hr_adjust, min_adjust, alarmmin_adjust, alarmhr_adjust, sunrise_adjust;




if((newinput == __NEXT )&&(menu ==0))
	{
	// entry to the menu	 , and show demo mode
	rtd.menuflag = 1;
	menu = 0x10;
	AFIO->MAPR =  0x04000000;
	 demo_flag = 1;
	}	 
else if((newinput == __QUIT )&&(menu != 0))
	{
	// exit menu
	rtd.menuflag = 0;
	menu = 0x00;
	demo_flag = 0;
    char1 = rtd.min/10; char2 =rtd.min%10 ; char3 = rtd.hr/10; char4 = rtd.hr%10 ;
	}

else{
  	os_mut_wait(mut_time,0xffff);
	demo_flag = 0;
	switch (menu)
	{
	 case 0x10:
	 // menu 0x20, display clock hr
	 if(newinput ==__NEXT) 
	 {menu = 0x20;
	 char3 = rtd.hr/10;
	 char4 = rtd.hr%10;
	 char1 = 22;
	 char2 = 22;
	 }

	 break;


	 case 0x20:
	 //entry to menu 0x30, diplay clock min
	 if(newinput ==__NEXT) {
	 menu = 0x30;	 
	 char1 = rtd.min/10;
	 char2 = rtd.min%10;
	 	 char3 = 22;
	 char4 = 22;
	 }
	 // adjust the hr
	 else if(newinput ==__PLUS) 
	 {
	 rtd.hr++;
	 if(rtd.hr ==24)rtd.hr = 0;
	 char3 = rtd.hr/10;
	 char4 = rtd.hr%10;
	 char1 = 22;
	 char2 = 22;
	 }
	 else if(newinput ==__MINUS) 
	 {
	 rtd.hr--;
	 if(rtd.hr ==0)rtd.hr = 24;
	 char3 = rtd.hr/10;
	 char4 = rtd.hr%10;
	 char1 = 22;
	 char2 = 22;
	 }
	 break;	
	
	//menu 0x40, display alarm hr
	 case 0x30:
	 if(newinput ==__NEXT){ 
	 menu = 0x40; 	 
	 char3 = (rtd.alarmhr/10 + 10);
	 char4 = (rtd.alarmhr%10+ 10);
	 char1 = 22;
	 char2 = 22;
	 }	 
	 else if(newinput ==__PLUS) 
	 {
	 rtd.min++;
	 if(rtd.min ==60)rtd.min = 0;

	 char1 = rtd.min/10;
	 char2 = rtd.min%10;
	 char3 = 22;
	 char4 = 22;
	 }
	 	 else if(newinput ==__MINUS) 
	 {
	 rtd.min--;
	 if(rtd.min ==0)rtd.min = 59;

	 char1 = rtd.min/10;
	 char2 = rtd.min%10;
	 char3 = 22;
	 char4 = 22;
	 }
	 break;	
	
	// menu x50, display alarm min
	 case 0x40:
	 if(newinput ==__NEXT){ 
	 menu = 0x50; 	 
	 char1 = (rtd.alarmmin/10+ 10);
	 char2 = (rtd.alarmmin%10+ 10);
	 char3 = 22;
	 char4 = 22;	 
	 
	 }	 
	 else if(newinput ==__PLUS) 
	 {
	 rtd.alarmhr++;
	 if(rtd.alarmhr == 24) rtd.alarmhr = 0;
	 char3 = (rtd.alarmhr/10+ 10);
	 char4 = (rtd.alarmhr%10+ 10);
	 char2 = 22;
	 char1 = 22;
	 }
	 	 else if(newinput ==__MINUS) 
	 {
	 rtd.alarmhr--;
	 if(rtd.alarmhr == 0) rtd.alarmhr = 23;
	 char3 = (rtd.alarmhr/10+ 10);
	 char4 = (rtd.alarmhr%10+ 10);
	 char2 = 22;
	 char1 = 22;
	 }
	  break;



	 //menu 0x60, display sunrise time
 	 case 0x50:
	 if(newinput ==__NEXT){ 
	 menu = 0x60; 	 
	 char1 = hr_style/10;
	 char2 = hr_style%10;
	 char3 = 20;
	 char4 = 21;
	 }	 
	 else if(newinput ==__PLUS) 
	 {
	 rtd.alarmmin++;
	 if(rtd.alarmmin ==60)rtd.alarmmin =0;

	 char1 = (rtd.alarmmin/10+ 10);
	 char2 = (rtd.alarmmin%10+ 10);
	 char3 = 22;
	 char4 = 22;
	 }
	   break;
 //0x70, display 12/24 hr
  	 case 0x60:
	 if(newinput ==__NEXT){ 
	 menu = 0x70; 	 
	 char1 = rtd.sunrise/10;
	 char2 = rtd.sunrise%10;
	 char3 = 23;
	 char4 = 21;
	 }	 
	 else if(newinput ==__PLUS) 
	 {
      if(hr_style ==12) hr_style = 24;
	  else if(hr_style == 24) hr_style = 12;
	     
	  	 char1 = hr_style/10;
		 char2 = hr_style%10;
	 }
	   break;

	 //menu 0x60, back to clock, 
 	 case 0x70:
	 if(newinput ==__NEXT) 
	 {
	   Savertc()	;

	 menu = 0x00;  	
	 char1 = rtd.min/10; char2 =rtd.min%10 ; char3 = rtd.hr/10; char4 = rtd.hr%10 ;
	 rtd.menuflag = 0;
	 }
	 else if(newinput == __PLUS)
	 {
	 if (rtd.sunrise ==5) rtd.sunrise =15;
	 else if(rtd.sunrise ==15)rtd.sunrise = 30;
	 else if(rtd.sunrise ==30)rtd.sunrise = 45;
	 else if(rtd.sunrise == 45) rtd.sunrise = 60;
	 else if(rtd.sunrise == 60) rtd.sunrise = 5;
	 else rtd.sunrise = 5;
	 char1 = rtd.sunrise/10;
	 char2 = rtd.sunrise%10;
	 }
	 break;	

	 default:
	 menu = 0;
	 rtd.menuflag = 0;
	 char1 = rtd.min/10; char2 =rtd.min%10 ; char3 = rtd.hr/10; char4 = rtd.hr%10 ;
	 break;
	}  
 }

  os_mut_release(mut_time);
  Displayrefresh();

}

/*------------------------------------------------------------------------------
  Display function
  This function refresh both display buffer when menu data is changed. Since ISQ access the buffer so often, sometime buffer don't have chance to be updated on time. 
 *------------------------------------------------------------------------------*/


  void Displayrefresh()
  {
  	TIM2->DIER = __TIM2_DIER; 
		 	Data_display(&leddata1,(char4),(char3),(char2),(char1) )	 ;
			Data_display(&leddata1,(char4),(char3),(char2),(char1) )	  ;
	TIM2->DIER = __TIM2_EIER; 

  }
